import type { DescribeChangeSetOutput } from '@aws-cdk/cloudformation-diff';
import type * as cxapi from '@aws-cdk/cx-api';
import type { DiffOptions } from '..';
import type { Deployments, IoHelper, SdkProvider, StackCollection, TemplateInfo } from '../../../api/shared-private';
import { PermissionChangeType } from '../../../api/shared-public';
export declare function makeTemplateInfos(ioHelper: IoHelper, stacks: StackCollection, deployments: Deployments, sdkProvider: SdkProvider, options: DiffOptions): Promise<TemplateInfo[]>;
/**
 * Return whether the diff has security-impacting changes that need confirmation.
 */
export declare function determinePermissionType(oldTemplate: any, newTemplate: cxapi.CloudFormationStackArtifact, changeSet?: DescribeChangeSetOutput): PermissionChangeType;
/**
 * Appends all properties from obj2 to obj1.
 * obj2 values take priority in the case of collisions.
 *
 * @param obj1 The object to modify
 * @param obj2 The object to consume
 *
 * @returns obj1 with all properties from obj2
 */
export declare function appendObject<T>(obj1: {
    [name: string]: T;
}, obj2: {
    [name: string]: T;
}): {
    [name: string]: T;
};
